Skip to main content
PUT
/
api
/
presentations
/
{presentationId}
/
product-selection
Save a product selection
curl --request PUT \
  --url https://app.demand-iq.com/api/presentations/{presentationId}/product-selection \
  --header 'Content-Type: application/json' \
  --data '
{
  "slideId": "<string>",
  "tier": "good",
  "productName": "<string>",
  "price": "<string>",
  "priceSuffix": "<string>",
  "productImage": "<string>",
  "highlights": [
    "<string>"
  ]
}
'
{
  "success": true,
  "selection": {}
}

Path Parameters

presentationId
string<uuid>
required

Body

application/json
slideId
string
required
tier
enum<string>
required
Available options:
good,
better,
best
productName
string
required
price
string
required
priceSuffix
string
productImage
string
highlights
string[]

Response

Selection saved

success
boolean
selection
object